package project.activity;

import android.app.Dialog;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import com.example.vahid.theboys.R;

import project.helper.DBHelper;
import project.main.G;

public class AddCompanyActivity extends AppCompatActivity {

  private int companyCode;
  private String companyName;
  private String companyManager;
  private String companyTell1;
  private String companyTell2;
  private String companyMobile;
  private String companyAddress;
  public DBHelper dbHelper = new DBHelper(G.database);


  private EditText edt_code;
  private EditText edt_name;
  private EditText edt_manager;
  private EditText edt_tell1;
  private EditText edt_tell2;
  private EditText edt_address;
  private EditText edt_mobile;
  private Button btn_add;
  private int selectedIndex = -1;

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_add_company);
    init();
//    trtruncatedDB.truncateAll();
    btn_add.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View v) {
        registerOrSignin();
      }
    });

  }

  private void initData() {
    companyName = edt_name.getText().toString();
    companyManager = edt_manager.getText().toString();
    companyTell1 = edt_tell1.getText().toString();
    companyTell2 = edt_tell2.getText().toString();
    companyMobile = edt_mobile.getText().toString();
    companyAddress = edt_address.getText().toString();
  }

  private static class trtruncatedDB {
    static void truncateAll() {

    }
  }

  private void registerOrSignin() {
    initData();
//    String[] columns = new String[]{"companyName", "companyManager", "companyTell1", "companyTell2", "companyMobile", "companyAddress"};
//    Object[] values = new Object[]{companyName, companyManager, companyTell1, companyTell2, companyMobile, companyAddress};
    // G.database.execSQL("DELETE FROM tbl_company");
    int personId = dbHelper.insert("tbl_company", new String[]{"companyName", "companyManager", "companyTell1", "companyTell2", "companyMobile", "companyAddress"},
      new Object[]{companyName, companyManager, companyTell1, companyTell2, companyMobile, companyAddress});
//    new USelect(this)
//      .setTitle("Select your color")
//      .setDefaultValue("Blue")
//      .setIsCancelable(true)
//      .setIsImmediate(false)
//      .setOkLabel(R.string.dialog_ok)
//      .setCancelLabel(R.string.dialog_cancel)
//      .setOnItemSelectedListener(new USelect.OnItemSelectedListener() {
//        @Override
//        public void onItemSelected(int selectedIndex, CharSequence selectedValue) {
//          Toast.makeText(AddCompanyActivity.this, "You selected index " + selectedIndex + "\nValue " + selectedValue, Toast.LENGTH_SHORT).show();
//          finish();
//        }
//      })
//      .show();
    Dialog dialog = new Dialog(this);
    dialog.setContentView(R.layout.dialog_ok_cancel);
    Button btn_ok = (Button) dialog.findViewById(R.id.btn_ok);
    Button btn_cancel = (Button) dialog.findViewById(R.id.btn_cancel);
    btn_ok.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View v) {
        Toast.makeText(getApplicationContext(), "ثبت نام با موفقیت انجام شد", Toast.LENGTH_SHORT).show();
        finish();
      }
    });
    btn_cancel.setOnClickListener(new View.OnClickListener() {
      @Override
      public void onClick(View v) {
        Toast.makeText(getApplicationContext(), "ثبت نام با خطا مواجه شد", Toast.LENGTH_SHORT).show();
        finish();
      }
    });
    dialog.setTitle("پیام دیالوگ");
    dialog.show();
    Log.i("LOG", "Added :" + personId);
  }

  private void init() {
    edt_code = (EditText) findViewById(R.id.edt_code);
    edt_name = (EditText) findViewById(R.id.edt_name);
    edt_manager = (EditText) findViewById(R.id.edt_manager);
    edt_tell1 = (EditText) findViewById(R.id.edt_tell1);
    edt_tell2 = (EditText) findViewById(R.id.edt_tell2);
    edt_address = (EditText) findViewById(R.id.edt_address);
    edt_mobile = (EditText) findViewById(R.id.edt_mobile);
    btn_add = (Button) findViewById(R.id.btn_add);

  }
}
